"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const command_1 = require("../command");
const util_1 = require("../util");
const config_1 = require("./../config");
const path = require("path");
const fs = require("fs-extra");
class CleanCommand extends command_1.Command {
    doExec(args) {
        return __awaiter(this, void 0, void 0, function* () {
            let config = yield config_1.getConfig();
            if (!config)
                return util_1.logError("No project found at " + process.cwd());
            util_1.log("Cleaning project");
            yield fs.remove(path.resolve(config.dirs.out));
        });
    }
    printHelp() {
        console.log(`
Synopsis

    spast clean [options]

Cleans out the current project folder, removing built files and caches.
    `);
    }
}
exports.CleanCommand = CleanCommand;
