"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const command_1 = require("../command");
const util_1 = require("../util");
const moment = require("moment");
const config_1 = require("./../config");
const chalk = require("chalk");
class InfoCommand extends command_1.Command {
    doExec(args) {
        return __awaiter(this, void 0, void 0, function* () {
            let config = yield config_1.getConfig();
            if (!config)
                return util_1.logError("No project exists at " + process.cwd());
            console.log(chalk.yellow(chalk.magenta("Name:") + "\t\t" + config.name));
            console.log(chalk.yellow(chalk.magenta("Created:") + "\t" + moment.utc(config.createdAt).local().toISOString()));
            console.log(chalk.magenta("Components:"));
            for (let i = 1; i <= config.components.length; i++) {
                let comp = config.components[i - 1];
                console.log(chalk.yellow(i + ". " + comp.key + " (" + chalk.white(comp.type) + ")"));
            }
        });
    }
    printHelp() {
        console.log(`
Synopsis

    spast info [options]

Prints out info about the current SPAST project
    `);
    }
}
exports.InfoCommand = InfoCommand;
