"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const packageJson_1 = require("./packageJson");
const typescriptTsConfig_1 = require("./typescriptTsConfig");
const typescriptAppTs_1 = require("./typescriptAppTs");
const rollupConfig_1 = require("./rollupConfig");
const rollupTsConfig_1 = require("./rollupTsConfig");
const rollupIndex_1 = require("./rollupIndex");
function generateFile(name, args) {
    return __awaiter(this, void 0, void 0, function* () {
        if (name == "package.json")
            return new packageJson_1.PackageJson().generate(args);
        if (name == "typescript_tsconfig.json")
            return new typescriptTsConfig_1.TypescriptTsConfig().generate(args);
        if (name == "typescript_app.ts")
            return new typescriptAppTs_1.TypescriptAppTs().generate(args);
        if (name == "rollup_rollup.config.js")
            return new rollupConfig_1.RollupConfig().generate(args);
        if (name == "rollup_tsconfig.json")
            return new rollupTsConfig_1.RollupTsConfig().generate(args);
        if (name == "rollup_index.ts")
            return new rollupIndex_1.RollupIndex().generate(args);
        else
            throw new Error("File generator for " + name + " not found");
    });
}
exports.generateFile = generateFile;
