"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
class RollupConfig {
    generate(args) {
        return __awaiter(this, void 0, void 0, function* () {
            return `import typescript from 'rollup-plugin-typescript2';

export default {
    input: "./src/index.ts",
    output: {
        format: 'umd',
        name: '${args.name}'
    },
    onwarn: function (warning) {
        if (warning.code === 'THIS_IS_UNDEFINED' || warning.code == 'CIRCULAR_DEPENDENCY') return;
        console.error(warning);
    },
    plugins: [
        typescript({
            tsconfig: "./tsconfig.json",
            verbosity: 0,
            clean: false,
            rollupCommonJSResolveHack: true
        })
    ]
};
        `;
        });
    }
}
exports.RollupConfig = RollupConfig;
