"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
class TypescriptTsConfig {
    generate(args) {
        return __awaiter(this, void 0, void 0, function* () {
            return JSON.stringify({
                compilerOptions: {
                    baseUrl: ".",
                    declaration: false,
                    stripInternal: true,
                    experimentalDecorators: true,
                    allowSyntheticDefaultImports: true,
                    emitDecoratorMetadata: true,
                    moduleResolution: "node",
                    module: "commonjs",
                    paths: {},
                    inlineSourceMap: false,
                    inlineSources: false,
                    target: "es2016",
                    skipLibCheck: true,
                    lib: [
                        "es2016",
                        "dom"
                    ]
                },
                compileOnSave: false,
                include: [
                    "./src/app.ts"
                ]
            }, null, 2);
        });
    }
}
exports.TypescriptTsConfig = TypescriptTsConfig;
