#!/usr/bin/env node
"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const util_1 = require("./util");
const commands_1 = require("./commands");
const chalk = require("chalk");
function run() {
    return __awaiter(this, void 0, void 0, function* () {
        const args = util_1.parseArgs();
        if (!args.s && !args.noheader)
            util_1.printHeader();
        let command = args._[0];
        let subcommand = args._[1];
        if (args.v || args.version)
            util_1.printVersion();
        else {
            if (command == null || command == "help") {
                if (subcommand) {
                    let scmd = commands_1.COMMANDS[subcommand];
                    if (!scmd)
                        return console.error(chalk.red("Unknown command: " + subcommand));
                    else
                        return new scmd().help(args);
                }
                else
                    return new commands_1.COMMANDS['help']().help(args);
            }
            else {
                let cmd = commands_1.COMMANDS[command];
                if (!cmd) {
                    console.log(chalk.red("Unknown command: " + command));
                    cmd = commands_1.COMMANDS['help'];
                }
                let o = new cmd();
                return o.exec(args);
            }
        }
    });
}
run().then(() => process.exit(0)).catch((err) => process.exit(1));
